package com.tecnalia.across.ujse.api;

import com.tecnalia.across.ujse.model.WorkflowModel;
import java.io.IOException;
import java.util.List;


import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import com.tecnalia.across.ujse.model.store.WorkflowStore;
import com.tecnalia.across.ujse.service.WorkflowManagementService;

import java.util.UUID;

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.SpringCodegen", date = "2022-01-26T09:08:01.869Z[GMT]")
@RestController
public class WorkflowManagementApiController implements WorkflowManagementApi {

    private static final Logger log = LoggerFactory.getLogger(WorkflowManagementApiController.class);

 /*   private final ObjectMapper objectMapper;

    private final HttpServletRequest request;

    @org.springframework.beans.factory.annotation.Autowired
    public WorkflowManagementApiController(ObjectMapper objectMapper, HttpServletRequest request) {
        this.objectMapper = objectMapper;
        this.request = request;
    }*/
    @Autowired
    private final WorkflowManagementService  workflowService;
    
    
    public WorkflowManagementApiController(WorkflowManagementService workflowService) {
        this.workflowService = workflowService;
       
    }

   
    public ResponseEntity<String> deleteWorkflow(UUID workflowId) {

    	return workflowService.deleteWorkflow(workflowId);
        
    }


    @Override
    public ResponseEntity<List<WorkflowStore>> getAllWorkflows() {
             return workflowService.getAllWorkflows();
    }


    @Override
    public ResponseEntity<byte[]> getWorkflowById(UUID workflowId) {


             return workflowService.getWorkflowById(workflowId);
    }


    @Override
    public ResponseEntity<String> addOrUpdateWorkflow(MultipartFile JSONfileName) throws IOException {
                		ResponseEntity<String> result = null;
        try {
            result=workflowService.addOrUpdateWorkflow(JSONfileName);
        }
        catch (IOException e)
        {
        	
        }
        return result;
    }

    @Override
    public ResponseEntity<List<WorkflowModel>> getWorkflowsDescription() {
             return workflowService.getWorkflowsDescription();
    }


    @Override
    public ResponseEntity<WorkflowModel> getWorkflowDescriptionById(UUID workflowId) {


             return workflowService.getWorkflowDescriptionById(workflowId);
    }


    @Override
    public ResponseEntity<String> updateWorkflow(UUID workflowId, boolean trust) {
        ResponseEntity<String> result = null;
        result=workflowService.updateWorkflow(workflowId, trust);
        return result;
    }


    @Override
    public ResponseEntity<String> getWorkflowTrust(UUID workflowId) {
        ResponseEntity<String> result = null;
        result=workflowService.getWorkflowTrust(workflowId);
        return result;
    }
}
