package com.tecnalia.across.ujse.model;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.UUID;
import org.springframework.validation.annotation.Validated;
import javax.validation.Valid;
import javax.validation.constraints.*;

/**
 * StepStore
 */
@Validated
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.SpringCodegen", date = "2022-03-04T06:01:25.491Z[GMT]")


public class ActionServiceStatusOutput   {
    
    
   @JsonProperty("workflowInstanceId")
  private UUID workflowInstanceId;
  
   @JsonProperty("phaseId")
  private UUID phaseId;

   
  @JsonProperty("actionId")
  private UUID actionId;

    
  @JsonProperty("serviceId")
  private String serviceId;
  
  @JsonProperty("status")
  private String status;

  @JsonProperty("serviceOutput")
  private String serviceOutput;

  public ActionServiceStatusOutput () {
   
  }

  
    /**
   * Get workflowInstanceId
   * @return workflowInstanceId
   **/
  @Schema(description = "")
  
    public UUID getWorkflowInstanceId() {
    return workflowInstanceId;
  }

  public void setWorkflowInstanceId(UUID workflowInstanceId) {
    this.workflowInstanceId = workflowInstanceId;
  }

  
    /**
   * Get phaseId
   * @return phaseId
   **/
  @Schema(description = "")
  
    public UUID getPhaseId() {
    return phaseId;
  }

  public void setPhaseId(UUID phaseId) {
    this.phaseId = phaseId;
  }

    /**
   * Get actionId
   * @return actionId
   **/
  @Schema(description = "")
  
    public UUID getActionId() {
    return actionId;
  }

  public void setActionId(UUID actionId) {
    this.actionId = actionId;
  }

  
   /**
   * Get serviceId
   * @return serviceId
   **/
  @Schema(description = "")
  
    public String getServiceId() {
    return serviceId;
  }

  public void setServiceId(String serviceId) {
    this.serviceId = serviceId;
  }

  
  
    /**
   * Get workflowStatus
   * @return workflowStatus
   **/
  @Schema(description = "")
  
    public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }


    /**
   * Get serviceOutput
   * @return serviceOutput
   **/
  @Schema(description = "")
  
    public String getServiceOutput() {
    return serviceOutput;
  }

  public void setServiceOutput(String serviceOutput) {
    this.serviceOutput = serviceOutput;
  }
  




  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ActionServiceStatusOutput actionStatusOutput = (ActionServiceStatusOutput) o;
     return Objects.equals(this.status, actionStatusOutput.status) &&
        Objects.equals(this.workflowInstanceId, actionStatusOutput.workflowInstanceId) &&
        Objects.equals(this.phaseId, actionStatusOutput.phaseId) &&
         Objects.equals(this.actionId, actionStatusOutput.actionId)&&  Objects.equals(this.serviceId, actionStatusOutput.serviceId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(workflowInstanceId,phaseId,actionId,serviceId,status);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class StepStore {\n");
    
    sb.append("    workflowInstanceId: ").append(toIndentedString(workflowInstanceId)).append("\n");
    sb.append("    phaseId: ").append(toIndentedString(phaseId)).append("\n");
    sb.append("    actionId: ").append(toIndentedString(actionId)).append("\n");    
    sb.append("    serviceId: ").append(toIndentedString(serviceId)).append("\n");    
    sb.append("    stauts: ").append(toIndentedString(status)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
