package com.tecnalia.across.ujse.model;

import java.util.Objects;
import javax.validation.Valid;
import javax.xml.bind.annotation.XmlRootElement;

import org.springframework.validation.annotation.Validated;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonRawValue;

import io.swagger.v3.oas.annotations.media.Schema;
import java.util.UUID;

/**
 * UserWorkflowStore
 */
@Validated
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.SpringCodegen", date = "2022-03-14T13:00:17.932Z[GMT]")


@XmlRootElement(name="WorkflowModel")
public class WorkflowModel {
	

  @JsonProperty("workflowId")
  private UUID workflowId;

  @JsonProperty("workflowType")
  private String workflowType;

  @JsonProperty("countryOrigin")
  private String countryOrigin ;

  @JsonProperty("countryDestination")
  private String countryDestination;

  @JsonRawValue
  private String workflowContent;

  @JsonRawValue
  private String description;
    
  
   public WorkflowModel () {
   
  }


  /**
   * Get workflowId
   * @return workflowId
   **/
  @Schema(description = "")
  
    public UUID getWorkflowId() {
    return workflowId;
  }

  public void setWorkflowId(UUID workflowId) {
    this.workflowId = workflowId;
  }


  /**
   * Get workflowType
   * @return workflowType
   **/
  @Schema(description = "")
  
    public String getWorkflowType() {
    return workflowType;
  }

  public void setWorkflowType(String workflowType) {
    this.workflowType = workflowType;
  }

  

  /**
   * Get countryOrigin
   * @return countryOrigin
   **/
  @Schema(description = "")
  
    public String getCountryOrigin() {
    return countryOrigin;
  }

  public void setCountryOrigin(String countryOrigin) {
    this.countryOrigin = countryOrigin;
  }

 
  /**
   * Get countryDestination
   * @return countryDestination
   **/
  @Schema(description = "")
  
    public String getCountryDestination() {
    return countryDestination;
  }

  public void setCountryDestination(String countryDestination) {
    this.countryDestination = countryDestination;
  }



  /**
   * Get workflowContent
   * @return workflowContent
   **/
  @Schema(description = "")
  
    public String getWorkflowContent() {
    return workflowContent;
  }

  public void setWorkflowContent(String workflowContent) {
    this.workflowContent = workflowContent;
  }
  

  /**
   * Get description
   * @return description
   **/
  @Schema(description = "")
  
    public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  
  

  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    WorkflowModel userWorkflowStore = (WorkflowModel) o;
    return Objects.equals(this.workflowId, userWorkflowStore.workflowId) &&
        Objects.equals(this.workflowType, userWorkflowStore.workflowType) &&
        Objects.equals(this.countryOrigin, userWorkflowStore.countryOrigin) &&
        Objects.equals(this.countryDestination, userWorkflowStore.countryDestination) &&
        Objects.equals(this.workflowContent, userWorkflowStore.workflowContent)&&
        Objects.equals(this.description, userWorkflowStore.description);
  }

  @Override
  public int hashCode() {
    return Objects.hash(workflowId, workflowType, countryOrigin, countryDestination, description);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UserWorkflowStore {\n");
    
    sb.append("    workflowId: ").append(toIndentedString(workflowId)).append("\n");
    sb.append("    workflowType: ").append(toIndentedString(workflowType)).append("\n");
    sb.append("    countryOrigin: ").append(toIndentedString(countryOrigin)).append("\n");
    sb.append("    countryDestination: ").append(toIndentedString(countryDestination)).append("\n");
    sb.append("    workflowContent: ").append(toIndentedString(workflowContent)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
