package com.tecnalia.across.ujse.model;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.UUID;
import org.springframework.validation.annotation.Validated;
import javax.validation.Valid;
import javax.validation.constraints.*;

/**
 * WorkflowStatusOutput
 */
@Validated
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.SpringCodegen", date = "2022-03-04T06:01:25.491Z[GMT]")


public class WorkflowStatusOutput   {
    
  @JsonProperty("workflowInstanceId")
  private UUID workflowInstanceId;

  @JsonProperty("status")
  private String status;

  public WorkflowStatusOutput () {
    
    
  }

  /**
   * Get workflowStatus
   * @return workflowStatus
   **/
  @Schema(description = "")
  
    public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  

  /**
   * Get currentStep
   * @return currentStep
   **/
  @Schema(description = "")
  
    public UUID getWorkflowInstanceId() {
    return workflowInstanceId;
  }

  public void setWorkflowInstanceId(UUID workflowInstanceId) {
    this.workflowInstanceId = workflowInstanceId;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    WorkflowStatusOutput workflowStatusOutput = (WorkflowStatusOutput) o;
    return Objects.equals(this.status, workflowStatusOutput.status) &&
        Objects.equals(this.workflowInstanceId, workflowStatusOutput.workflowInstanceId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(status, workflowInstanceId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class WorkflowStatusOutput {\n");
    

    sb.append("    workflowInstanceId: ").append(toIndentedString(workflowInstanceId)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
