package com.tecnalia.across.ujse.model.store;


import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import java.util.Objects;
import java.util.UUID;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;


@Entity
@Table(name = "WfPhaseActionService")

@IdClass(WorkflowPhaseActionServiceIdStore.class)
public class WorkflowPhaseActionServiceStore   {


   
 @Id
 @JsonProperty("workflowInstanceId")
 //@JsonIgnore
  private UUID workflowInstanceId;
   
 @Id
  @JsonProperty("phaseId")
  private UUID phaseId;
  
 @Id
  @JsonProperty("actionId")
  private UUID actionId;
      
    
  @Id
  @JsonProperty("serviceId")
  private String serviceId;
     
 
 @JsonProperty("status")
  private String status;
 

 @JsonProperty("serviceOutput")
 @Column(length=2100)
  private String serviceOutput;
 
    /**
     * @return the userId
     */
    public UUID getWorkflowInstanceId() {
        return workflowInstanceId;
    }

    /**
     * @param userId the userId to set
     */
    public void setWorkflowInstanceId(UUID workflowInstanceId) {
        this.workflowInstanceId = workflowInstanceId;
    }
 
    
    /**
     * @return the phaseId
     */
    public UUID getPhaseId() {
        return phaseId;
    }

    /**
     * @param phaseId the phaseId to set
     */
    public void setPhaseId(UUID phaseId) {
        this.phaseId = phaseId;
    }
 
    /**
     * @return the actionId
     */
    public UUID getActionId() {
        return actionId;
    }

    /**
     * @param actionId the actionId to set
     */
    public void setActionId(UUID actionId) {
        this.actionId = actionId;
    }

    /**
     * @return the serviceId
     */
    public String getServiceId() {
        return serviceId;
    }

    /**
     * @param serviceId the serviceId to set
     */
    public void setServiceId(String serviceId) {
        this.serviceId = serviceId;
    }

    /**
     * @return the numAccess
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param numAccess the numAccess to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    public String getServiceOutput() {
        return serviceOutput;
    }

    public void setServiceOutput(String serviceOutput) {
        this.serviceOutput = serviceOutput;
    }
    
    
      @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    WorkflowPhaseActionServiceStore workflowStepServiceStore = (WorkflowPhaseActionServiceStore) o;
    return Objects.equals(this.workflowInstanceId, workflowStepServiceStore.workflowInstanceId) &&
        Objects.equals(this.phaseId, workflowStepServiceStore.phaseId) &&
        Objects.equals(this.actionId, workflowStepServiceStore.actionId) &&
        Objects.equals(this.serviceId, workflowStepServiceStore.serviceId) &&
        Objects.equals(this.status, workflowStepServiceStore.status);
  }

  @Override
  public int hashCode() {
    return Objects.hash(workflowInstanceId, phaseId, actionId, serviceId, status);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class WorkflowStore {\n");
    
 //   sb.append("    workflowInstanceId: ").append(toIndentedString(workflowInstanceId)).append("\n");
    sb.append("    stepId: ").append(toIndentedString(phaseId)).append("\n");
    sb.append("    stepId: ").append(toIndentedString(actionId)).append("\n");
    sb.append("    serviceId: ").append(toIndentedString(serviceId)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
 
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }



 }
