package com.tecnalia.across.ujse.model.store;


import com.fasterxml.jackson.annotation.JsonProperty;
import java.util.Objects;
import java.util.UUID;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;


@Entity
@Table(name = "WfPhaseAction")

@IdClass(WorkflowPhaseActionIdStore.class)
public class WorkflowPhaseActionStore   {


   
 @Id
 @JsonProperty("workflowInstanceId")
 //@JsonIgnore
  private UUID workflowInstanceId;
   
 @Id
  @JsonProperty("phaseId")
  private UUID phaseId;
  
 @Id
  @JsonProperty("actionId")
  private UUID actionId;
      
    
 
    
 
 @JsonProperty("status")
  private String status;
 

 
    /**
     * @return the userId
     */
    public UUID getWorkflowInstanceId() {
        return workflowInstanceId;
    }

    /**
     * @param userId the userId to set
     */
    public void setWorkflowInstanceId(UUID workflowInstanceId) {
        this.workflowInstanceId = workflowInstanceId;
    }
 
    
    /**
     * @return the phaseId
     */
    public UUID getPhaseId() {
        return phaseId;
    }

    /**
     * @param phaseId the phaseId to set
     */
    public void setPhaseId(UUID phaseId) {
        this.phaseId = phaseId;
    }
 
    /**
     * @return the actionId
     */
    public UUID getActionId() {
        return actionId;
    }

    /**
     * @param actionId the actionId to set
     */
    public void setActionId(UUID actionId) {
        this.actionId = actionId;
    }



    /**
     * @return the numAccess
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param numAccess the numAccess to set
     */
    public void setStatus(String status) {
        this.status = status;
    }
    
    
      @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    WorkflowPhaseActionStore workflowStepServiceStore = (WorkflowPhaseActionStore) o;
    return Objects.equals(this.workflowInstanceId, workflowStepServiceStore.workflowInstanceId) &&
        Objects.equals(this.phaseId, workflowStepServiceStore.phaseId) &&
        Objects.equals(this.actionId, workflowStepServiceStore.actionId) &&
        Objects.equals(this.status, workflowStepServiceStore.status);
  }

  @Override
  public int hashCode() {
    return Objects.hash(workflowInstanceId, phaseId, actionId, status);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class WorkflowStore {\n");
    
    sb.append("    workflowInstanceId: ").append(toIndentedString(workflowInstanceId)).append("\n");
    sb.append("    phaseId: ").append(toIndentedString(phaseId)).append("\n");
    sb.append("    actionId: ").append(toIndentedString(actionId)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
 
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }



 }
