package com.tecnalia.across.ujse.repository;

import com.tecnalia.across.ujse.model.store.WorkflowPhaseActionStore;
import java.util.Optional;
import java.util.UUID;

import javax.transaction.Transactional;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;






@Transactional(rollbackOn=Exception.class)
@Repository

public interface WorkflowPhaseActionRepository extends JpaRepository<WorkflowPhaseActionStore, UUID> {
	
    Optional<WorkflowPhaseActionStore> findByWorkflowInstanceIdAndPhaseIdAndActionId(UUID workflowInstanceId,UUID phaseId, UUID actionId);
    Optional<WorkflowPhaseActionStore> deleteByWorkflowInstanceId (UUID workflowInstanceId);
	
}

