package com.tecnalia.across.ujse.api;

import com.tecnalia.across.ujse.model.LogResponse;
import com.tecnalia.across.ujse.model.StatisticsInfo;
import com.tecnalia.across.ujse.model.store.LogStore;
import java.io.IOException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RestController;

import com.tecnalia.across.ujse.service.LogManagementService;
import java.util.List;


@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.SpringCodegen", date = "2022-01-26T09:08:01.869Z[GMT]")
@RestController
public class LogManagementApiController implements LogManagementApi {

    private static final Logger log = LoggerFactory.getLogger(LogManagementApiController.class);

 /*   private final ObjectMapper objectMapper;

    private final HttpServletRequest request;

    @org.springframework.beans.factory.annotation.Autowired
    public WorkflowManagementApiController(ObjectMapper objectMapper, HttpServletRequest request) {
        this.objectMapper = objectMapper;
        this.request = request;
    }*/
    @Autowired
    private final LogManagementService  logService;

    
    
    public LogManagementApiController(LogManagementService logService) {
        this.logService = logService;
       
    }
	
    public ResponseEntity<String> saveLog(String description,
            String workflowInstanceId, String phaseId, String actionId, String serviceId) {
		ResponseEntity<String> result = null;
        try {
        	result=logService.saveLog(description, workflowInstanceId, phaseId, actionId, serviceId);
        }
        catch (IOException e)
        {
        	
        }
        return result;
    }

   
    @Override
    public ResponseEntity<LogResponse> getAllLogsPaged(String workflowInstanceId, String phaseId, String actionId, String serviceId,
            int pageNo, int pageSize) {
        ResponseEntity<LogResponse> result = null;
        result=logService.getAllLogsPaged(workflowInstanceId, phaseId, actionId, serviceId, pageNo, pageSize);
        return result;
    }
	

    @Override
    public ResponseEntity<List<LogStore>> getAllLogs(String workflowInstanceId, String phaseId, String actionId, String serviceId) {
        ResponseEntity<List<LogStore>> result = null;
        result=logService.getAllLogs(workflowInstanceId, phaseId, actionId, serviceId);
        return result;
    }
    
    
    @Override
    public ResponseEntity<StatisticsInfo> getStatisticsInfo() {
        ResponseEntity<StatisticsInfo> result = null;
        result=logService.getStatisticsInfo();
        return result;
    }
}
