package com.tecnalia.across.ujse.model;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.tecnalia.across.ujse.model.OutputDataElem;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.ArrayList;
import java.util.List;
import org.springframework.validation.annotation.Validated;
import javax.validation.Valid;
import javax.validation.constraints.*;

/**
 * ExecuteStepOutput
 */
@Validated
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.SpringCodegen", date = "2022-04-04T08:10:17.577Z[GMT]")


public class ExecuteStepOutput   {
  @JsonProperty("stepStatus")
  private String stepStatus = null;

  @JsonProperty("outputData")
  @Valid
  private List<OutputDataElem> outputData = null;

  public ExecuteStepOutput stepStatus(String stepStatus) {
    this.stepStatus = stepStatus;
    return this;
  }

  /**
   * Get stepStatus
   * @return stepStatus
   **/
  @Schema(description = "")
  
    public String getStepStatus() {
    return stepStatus;
  }

  public void setStepStatus(String stepStatus) {
    this.stepStatus = stepStatus;
  }

  public ExecuteStepOutput outputData(List<OutputDataElem> outputData) {
    this.outputData = outputData;
    return this;
  }

  public ExecuteStepOutput addOutputDataItem(OutputDataElem outputDataItem) {
    if (this.outputData == null) {
      this.outputData = new ArrayList<OutputDataElem>();
    }
    this.outputData.add(outputDataItem);
    return this;
  }

  /**
   * Get outputData
   * @return outputData
   **/
  @Schema(description = "")
      @Valid
    public List<OutputDataElem> getOutputData() {
    return outputData;
  }

  public void setOutputData(List<OutputDataElem> outputData) {
    this.outputData = outputData;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ExecuteStepOutput executeStepOutput = (ExecuteStepOutput) o;
    return Objects.equals(this.stepStatus, executeStepOutput.stepStatus) &&
        Objects.equals(this.outputData, executeStepOutput.outputData);
  }

  @Override
  public int hashCode() {
    return Objects.hash(stepStatus, outputData);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ExecuteStepOutput {\n");
    
    sb.append("    stepStatus: ").append(toIndentedString(stepStatus)).append("\n");
    sb.append("    outputData: ").append(toIndentedString(outputData)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
