package com.tecnalia.across.ujse.model;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.springframework.validation.annotation.Validated;
import javax.validation.Valid;
import javax.validation.constraints.*;

/**
 * InputData
 */
@Validated
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.SpringCodegen", date = "2022-04-22T09:33:53.549Z[GMT]")


public class InputData   {
  @JsonProperty("inputId")
  private String inputId = null;

  @JsonProperty("type")
  private String type = null;

  @JsonProperty("multiple")
  private Boolean multiple = false;

  @JsonProperty("description")
  private List<InputDataDescription> description = null;

  @JsonProperty("required")
  private Boolean required = false;

  @JsonProperty("source")
  private InputSource source = null;

  @JsonProperty("readonly")
  private Boolean readonly = false;

  @JsonProperty("datamap")
  private String datamap = null;

  public InputData inputId(String inputId) {
    this.inputId = inputId;
    return this;
  }

  /**
   * Get inputId
   * @return inputId
   **/
  @Schema(description = "")
  
    public String getInputId() {
    return inputId;
  }

  public void setInputId(String inputId) {
    this.inputId = inputId;
  }

  public InputData type(String type) {
    this.type = type;
    return this;
  }

  /**
   * Get type
   * @return type
   **/
  @Schema(description = "")
  
    public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public InputData multiple(Boolean multiple) {
    this.multiple = multiple;
    return this;
  }

  /**
   * Get multiple
   * @return multiple
   **/
  @Schema(description = "")
  
    public Boolean isMultiple() {
    return multiple;
  }

  public void setMultiple(Boolean multiple) {
    this.multiple = multiple;
  }

  /**
   * Get description
   * @return description
   **/
  @Schema(description = "")
  
    public List<InputDataDescription> getDescription() {
    return description;
  }

  public void setDescription(List<InputDataDescription> description) {
    this.description = description;
  }

  public InputData required(Boolean required) {
    this.required = required;
    return this;
  }

  /**
   * Get required
   * @return required
   **/
  @Schema(description = "")
  
    public Boolean isRequired() {
    return required;
  }

  public void setRequired(Boolean required) {
    this.required = required;
  }

  public InputSource getSource() {
      return source;
  }

  public void setSource(InputSource source) {
      this.source = source;
  }

  public Boolean getReadonly() {
      return readonly;
  }

  public void setReadonly(Boolean readonly) {
      this.readonly = readonly;
  }

  public String getDatamap() {
      return datamap;
  }

  public void setDatamap(String datamap) {
      this.datamap = datamap;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InputData inputData = (InputData) o;
    return Objects.equals(this.inputId, inputData.inputId) &&
        Objects.equals(this.type, inputData.type) &&
        Objects.equals(this.description, inputData.description) &&
        Objects.equals(this.required, inputData.required) &&
        Objects.equals(this.multiple, inputData.multiple);
  }

  @Override
  public int hashCode() {
    return Objects.hash(inputId, type, description, required, multiple);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InputData {\n");
    
    sb.append("    inputId: ").append(toIndentedString(inputId)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    required: ").append(toIndentedString(required)).append("\n");
    sb.append("    multiple: ").append(toIndentedString(multiple)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
