package com.tecnalia.across.ujse.model;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;


/**
 * Statistics Info
 */
public class StatisticsInfo   {
    
    
    @JsonProperty("numUsersStartedJourney")
    private long numUsersStartedJourney;
  
    @JsonProperty("numStartedJourneys")
    private long numStartedJourneys;

    public StatisticsInfo () {
    }

  
    /**
    * Get numUsersStartedJourney
    * @return numUsersStartedJourney
    **/
    @Schema(description = "")
  
    public long getNumUsersStartedJourney() {
        return numUsersStartedJourney;
    }

    public void setNumUsersStartedJourney(long numUsersStartedJourney) {
        this.numUsersStartedJourney = numUsersStartedJourney;
    }


    /**
    * Get numUsersStartedJourney
    * @return numUsersStartedJourney
    **/
    @Schema(description = "")
  
    public long getNumStartedJourneys() {
        return numStartedJourneys;
    }

    public void setNumStartedJourney(long numStartedJourneys) {
        this.numStartedJourneys = numStartedJourneys;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
          return true;
        }
        if (o == null || getClass() != o.getClass()) {
          return false;
        }
        StatisticsInfo statisticsInfo = (StatisticsInfo) o;
        return Objects.equals(this.numUsersStartedJourney, statisticsInfo.numUsersStartedJourney) &&
            Objects.equals(this.numStartedJourneys, statisticsInfo.numStartedJourneys);
    }


    @Override
    public int hashCode() {
        return Objects.hash(numUsersStartedJourney,numStartedJourneys);
    }

    
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class StatisticsInfo {\n");
        sb.append("    numUsersStartedJourney: ").append(toIndentedString(numUsersStartedJourney)).append("\n");
        sb.append("    numStartedJourneys: ").append(toIndentedString(numStartedJourneys)).append("\n");
        sb.append("}");
        return sb.toString();
    }


    /**
    * Convert the given object to string with each line indented by 4 spaces
    * (except the first line).
    */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }
}
