package com.tecnalia.across.ujse.repository;

import com.tecnalia.across.ujse.model.store.WorkflowPhaseActionServiceStore;
import com.tecnalia.across.ujse.model.store.WorkflowPhaseActionStore;
import java.util.Optional;
import java.util.UUID;

import javax.transaction.Transactional;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;






@Transactional(rollbackOn=Exception.class)
@Repository
//public interface BPMNFileRepository extends JpaRepository<BPMNStore, Long> {
public interface WorkflowPhaseActionServiceRepository extends JpaRepository<WorkflowPhaseActionServiceStore, UUID> {
	
    Optional<WorkflowPhaseActionServiceStore> findByWorkflowInstanceIdAndPhaseIdAndActionIdAndServiceId(UUID workflowInstanceId,UUID phaseId, UUID actionId, String serviceId);

   // Iterable<WorkflowfPhaseActionServiceStore> findByWorkflowInstanceIdAndStatus(String workflowInstanceId, String status);
	
    Iterable<WorkflowPhaseActionServiceStore> findByWorkflowInstanceId(UUID workflowInstanceId);  
    
    
   Optional<WorkflowPhaseActionServiceStore> deleteByWorkflowInstanceId(UUID workflowInstanceId);
   
   Optional<WorkflowPhaseActionServiceStore> deleteAllByWorkflowInstanceId (UUID workflowInstanceId);
   
    @Query("SELECT DISTINCT s.serviceId FROM WorkflowPhaseActionServiceStore s WHERE s.workflowInstanceId=:workflowInstanceId")
    Iterable<String> findDistinctByWorkflowInstanceIdAndPhaseIdAndActionId(UUID workflowInstanceId);
   
	
}

