package com.tecnalia.across.ujse.repository;

import java.util.Optional;
import java.util.UUID;

import javax.transaction.Transactional;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import com.tecnalia.across.ujse.model.store.WorkflowStore;




@Transactional(rollbackOn=Exception.class)
@Repository
//public interface BPMNFileRepository extends JpaRepository<BPMNStore, Long> {
public interface WorkflowRepository extends JpaRepository<WorkflowStore, UUID> {
	
	//Optional<BPMNStore> findAllByCountryOriginAndCountryDestinationAndWorkflowType(String countryOrigin,String countryDestination, String workflowType);
	Optional<WorkflowStore> findByCountryOriginAndCountryDestinationAndWorkflowType(String countryOrigin,String countryDestination, String workflowType);
	Optional<WorkflowStore> findAllByWorkflowId(UUID workflowId);
	Optional<WorkflowStore> deleteByWorkflowId(UUID workflowId);
	

	
	
}

